Package com.io7m.waxmill.machines

# Class WXMBootConfigurationName

java.lang.Object
com.io7m.waxmill.machines.WXMBootConfigurationName

All Implemented Interfaces:
  `WXMBootConfigurationNameType`, `java.lang.Comparable<WXMBootConfigurationNameType>`

    public final class WXMBootConfigurationName
    extends java.lang.Object
    implements WXMBootConfigurationNameType

A boot configuration name, such as `install`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMBootConfigurationName.Builder` | Builds instances of type `WXMBootConfigurationName`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMBootConfigurationName.Builder` | `builder()` | Creates a builder for `WXMBootConfigurationName`.
  `static WXMBootConfigurationName` | `copyOf​(WXMBootConfigurationNameType instance)` | Creates an immutable copy of a `WXMBootConfigurationNameType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMBootConfigurationName` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `value`.
  `static WXMBootConfigurationName` | `of​(java.lang.String value)` | Construct a new immutable `WXMBootConfigurationName` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `WXMBootConfigurationName` with attribute values.
  `java.lang.String` | `value()` |
  `WXMBootConfigurationName` | `withValue​(java.lang.String value)` | Copy the current immutable object by setting a value for the `value` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMBootConfigurationNameType

  `checkPreconditions, compareTo`

- ## Method Details

  - ### value

    public java.lang.String value()
    Specified by:
      `value` in interface `WXMBootConfigurationNameType`
    Returns:
      The machine name

  - ### withValue

    public final WXMBootConfigurationName withValue​(java.lang.String value)
    Copy the current immutable object by setting a value for the `value` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for value
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMBootConfigurationName` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `value`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMBootConfigurationName` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static WXMBootConfigurationName of​(java.lang.String value)
    Construct a new immutable `WXMBootConfigurationName` instance.
    Parameters:
      `value` - The value for the `value` attribute
    Returns:
      An immutable WXMBootConfigurationName instance

  - ### copyOf

    public static WXMBootConfigurationName copyOf​(WXMBootConfigurationNameType instance)
    Creates an immutable copy of a `WXMBootConfigurationNameType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMBootConfigurationName instance

  - ### builder

    public static WXMBootConfigurationName.Builder builder()
    Creates a builder for `WXMBootConfigurationName`.

         WXMBootConfigurationName.builder()
            .setValue(String) // required value
            .build();

    Returns:
      A new WXMBootConfigurationName builder